---
title: BlobEvent
slug: Web/API/BlobEvent
tags:
  - API
  - Audio
  - Blob
  - Interface
  - Media
  - MediaStream Recording
  - MediaStream Recording API
  - Recording Media
  - Reference
  - Video
  - events
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p>The <strong><code>BlobEvent</code></strong> interface represents events associated with a {{domxref("Blob")}}. These blobs are typically, but not necessarily,  associated with media content.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("BlobEvent.BlobEvent", "BlobEvent()")}}</dt>
 <dd>Creates a <code>BlobEvent</code> event with the given parameters.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent {{domxref("Event")}}</em>.</p>

<dl>
 <dt>{{domxref("BlobEvent.data")}} {{readonlyInline}}</dt>
 <dd>A {{domxref("Blob")}} representing the data associated with the event. The event was fired on the {{domxref("EventTarget")}} because of something happening on that specific {{domxref("Blob")}}.</dd>
 <dt>{{domxref("BlobEvent.timecode")}} {{readonlyinline}}</dt>
 <dd>A {{domxref("DOMHighResTimeStamp")}} indicating the difference between the timestamp of the first chunk in data and the timestamp of the first chunk in the first BlobEvent produced by this recorder. Note that the timecode in the first produced BlobEvent does not need to be zero.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific method; inherits methods <em>from its parent {{domxref("Event")}}.</em></em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Recording', '#blobevent-section', 'BlobEvent')}}</td>
   <td>{{Spec2('MediaStream Recording')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BlobEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Event")}} base interface.</li>
 <li><a href="/en-US/docs/Web/API/MediaStream_Recording_API">MediaStream Recording API</a>: Sends <code>BlobEvent</code> objects each time a chunk of media is ready.</li>
 <li><a href="/en-US/docs/Web/API/MediaStream_Recording_API/Using_the_MediaStream_Recording_API">Using the MediaStream Recording API</a></li>
</ul>
